
$(document).ready(function(){
	var data = "coa_bb/data.php";
	$('#data-mahasiswa').load(data);
	
	$("#form-tambah").submit(function(e) {
		e.preventDefault();
		
		$("#error_material").html('');
		$("#error_item_desc").html('');
		$("#error_sloc").html('');
		$("#error_qty_unit").html('');
		$("#error_folder").html('');
		
		var dataform = $("#form-tambah").serialize();
		$.ajax({
			url: "product/input.php",
			type: "post",
			data: dataform,
			success: function(result) {
				var hasil = JSON.parse(result);
				if (hasil.hasil !== "sukses") {
					$("#error_material").html(hasil.error.material);
					$("#error_item_desc").html(hasil.error.item_desc);
					$("#error_sloc").html(hasil.error.sloc);
					$("#error_qty_unit").html(hasil.error.qty_unit);
					$("#error_folder").html(hasil.error.folder);
				} else {
					$('#modal-tambah').modal('hide');
					$("#material").val('');
					$("#item_desc").val('');
					$("#sloc").val('');
					$("#qty_unit").val('');
					$("#folder").val('');
					$('#data-mahasiswa').load(data);
				}
			}
		});
	});
	
	$(document).on('click','#edit',function(e){
		e.preventDefault();
		$("#modal-edit").modal('show');
		$.post('product/edit.php',
			{id:$(this).attr('data-id')},
			function(html){
				$("#data-edit").html(html);
			}   
		);
	});
	
	
	$("#form-edit").submit(function(e) {
		e.preventDefault();
		
		$("#error_material").html('');
		$("#error_item_desc").html('');
		$("#error_sloc").html('');
		$("#error_qty_unit").html('');
		$("#error_folder").html('');
		
		var dataform = $("#form-edit").serialize();
		$.ajax({
			url: "product/update.php",
			type: "post",
			data: dataform,
			success: function(result) {
				var hasil = JSON.parse(result);
				if (hasil.hasil !== "sukses") {
					$("#error_edit_material").html(hasil.error.edit_material);
					$("#error_edit_item_desc").html(hasil.error.edit_item_desc);
					$("#error_edit_sloc").html(hasil.error.edit_sloc);
					$("#error_edit_qty_unit").html(hasil.error.edit_qty_unit);
					$("#error_edit_folder").html(hasil.error.edit_folder);
				} else {
					$('#modal-edit').modal('hide');
					$("#material").val('');
					$("#item_desc").val('');
					$("#sloc").val('');
					$("#qty_unit").val('');
					$("#folder").val('');
					$('#data-mahasiswa').load(data);
				}
			}
		});
	});
	
});

